# Uses of Class
org.springframework.web.servlet.mvc.method.annotation.ResponseBodyEmitter.DataWithMediaType

Packages that use ResponseBodyEmitter.DataWithMediaType
Package
Description
org.springframework.web.servlet.mvc.method.annotation
MVC infrastructure for annotation-based handler method processing, building on the `org.springframework.web.method.annotation` package.

## Uses of ResponseBodyEmitter.DataWithMediaType in org.springframework.web.servlet.mvc.method.annotation

Methods in org.springframework.web.servlet.mvc.method.annotation that return types with arguments of type ResponseBodyEmitter.DataWithMediaType
Modifier and Type
Method
Description
`Set<ResponseBodyEmitter.DataWithMediaType>`
SseEmitter.SseEventBuilder.`build()`
Return one or more Object-MediaType pairs to write via `SseEmitter.send(Object, MediaType)`.
Method parameters in org.springframework.web.servlet.mvc.method.annotation with type arguments of type ResponseBodyEmitter.DataWithMediaType
Modifier and Type
Method
Description
`void`
ResponseBodyEmitter.`send(Set<ResponseBodyEmitter.DataWithMediaType> items)`
Write a set of data and MediaType pairs in a batch.